Emlpoyee

circle-info

Good to know: an employee of a counterparty (internal user): can review requests and documents, and make decisions about opening accounts and transferring funds. The employee is linked to a single Counterparty.

Working with employees you have the following features:

Create employee

Update employee

List the of employees per counterparty

Create employee

To create a new employee in the Counterparty you should use this endpoint.

create employees and assign roles if not empty

post

create employees and assign roles if not empty

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Body
branch_guidstringOptional

branch's guid

emailstringOptional

employee's email

namestringOptional

employee's name

paternal_namestringOptional

employee's paternal name

phonestringOptional

employee's phone

rolesstring[]Optional

Roles if not empty assign created employee to roles from list

surnamestringOptional

employee's surname

Responses
chevron-right
200

OK

application/json
employee_guidstringOptional
verifiedbooleanOptional
post
/counterparty/{counterparty_guid}/employees

Example of response:

After you created an employee they has to be verified via email. Please replace {bank_alias} and {email} in the link accordingly.

It is expected a password is set up by the employee themselves using the verification code sent to their email.

Roles

circle-info

Good to know: An employee has a set of assigned roles:

  • a role for working with appropriate permissions for endpoints

  • a role to access the branch

  1. A role contains permissions that you need to set for employees.

    • to set an appropriate role while creating an employee you should feel the parameter "roles" in the request body (as it is mentioned above);

    • if you need to change/add/remove role of an employee look How to add a user to a role.

  2. (optional) you may be interested to use branches for segregating employees.

    • to set an appropriate branch role while creating an employee you should feel the parameter "branch_name" in the request body (as it is mentioned above);

    • if you need to change/add/remove the role of an employee take a look atHow to add employee to branch.

Update employee

update employees

put

update employee

Path parameters
counterparty_guidstringRequired

Counterparty GUID

employee_guidstringRequired

Employee GUID

Body
branch_guidstringOptional

the employee's branch

is_disabledbooleanOptional

if you need to disable an employee you should make this parameter true, default it is false

loginstringOptional

the employee's login

namestringOptional

employee's name

paternal_namestringOptional

employee's paternal name

phonestringOptional

employee's phone

surnamestringOptional

employee's surname

Responses
chevron-right
200

OK

application/json
guidstringOptional
put
/counterparty/{counterparty_guid}/employees/{employee_guid}
circle-info

Note: you can't change employee's login and you must write in the body only the parameters that you want to change.

Example of response:

List the of employees per counterparty

Get employees

get

Get employees

Path parameters
counterparty_guidstringRequired

Counterparty GUID

Query parameters
guidsstring[]Optional

Employee's GUIDs

loginsstring[]Optional

Employee's logins

namesstring[]Optional

Employee's names

is_disabledbooleanOptional

Include disabled

branch_guidsstring[]Optional

Employee's branch_guids

offsetintegerOptional

Offset

limitintegerOptional

Limit

orderingstring Β· enumOptional

Ordering

Possible values:
Responses
chevron-right
200

OK

application/json
branch_guidstringOptional
branch_namestringOptional
counterparty_guidstringOptional
created_atstringOptional
guidstringOptional
is_disabledbooleanOptional
loginstringOptional
namestringOptional
paternal_namestringOptional
phonestringOptional
surnamestringOptional
updated_atstringOptional
get
/counterparty/{counterparty_guid}/employees

In the response you can see the employees of counterparty with their parameters and total amount of employees.

chevron-rightResponse example:hashtag

Last updated